Subject: bug#47159: 28.0.50; gnutls not recognized in build process without pkg-config

From: Jean Louis <[email-masked]>
Date: Thu, 18 Mar 2021 13:59:13 +0300

* Lars Ingebrigtsen <[email-masked]> [2021-03-18 08:52]:
> So I guess we should just add a check for pkg-config in the gnutls
> check?  Any opinions?

My opinion as a non-expert in the subject of preparation of
`configure' script is that it should check for any fundamental command
required for building.

Developers may forget those very basic packages/software as they
rarely develop from a plain system. The discovery came about because I
have been installing Parabola GNU/Linux-libre and did not know what is
the main virtual package to install all the other building tools
packages, so I was installing one by one whatever was missing, like
`automake' or `gcc' or similar packages until the point that I could
compile it.